/*
 * br_utils.hpp  --  Part of the CinePaint plug-in "Bracketing_to_HDR"
 *
 * (C) 2005  Hartmut Sbosny  <hartmut.sbosny@gmx.de>
 *
 * LICENSE:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/**
  br_utils.hpp
*/
#ifndef br_utils_hpp
#define br_utils_hpp

/*
 * Architecture independent `void* <-> int' conversation...
 *  Taken from Glasgow's fltk/Fl.H. Thanks to Robin Rowe.
 */
inline
int ptr2int(void* p)
{       union P_I
        {       void* p;
                int i;
        };
        P_I p_i;
        p_i.p=p;
        return p_i.i;
}
inline
void* int2ptr(int i)
{       union P_I
        {       void* p;
                int i;
        };
        P_I p_i;
        p_i.p=0;
        p_i.i=i;
        return p_i.p;
}

#endif  // br_utils_hpp

// END OF FILE
